//
//  OnfidoAnalytics.h
//  Onfido
//
//  Created by Gunduz, Kerem on 07/08/2019.
//

#import <Foundation/Foundation.h>
#import <Onfido/OnfidoAnalyticsConfiguration.h>

@interface OnfidoAnalytics: NSObject

- (instancetype _Nonnull)initWithConfiguration:(OnfidoAnalyticsConfiguration * _Nonnull) config;
- (void)identify:(NSString *_Nullable)userId traits:(NSDictionary<NSString *, id> *_Nonnull)traits options:(NSDictionary<NSString *, id> * _Nullable)options;
- (void)track:(NSString * _Nonnull)event properties:(NSDictionary<NSString *, id> * _Nullable) properties;
- (void)screen:(NSString * _Nonnull)screenTitle properties:(NSDictionary<NSString *, id> * _Nullable) properties;
- (void)flush;
@end


