require 'json'

package = JSON.parse(File.read(File.join(__dir__, 'package.json')))

Pod::Spec.new do |s|
  s.name         = 'react-native-onfido-sdk'
  # s.version      = "1.0.0"
  # s.summary      = "RNOnfidoSdk"
  # s.description  = <<-DESC
  #                 RNOnfidoSdk
  #                  DESC
  # s.homepage     = ""
  s.version        = package['version']
  s.summary        = package['description']
  s.description    = package['description']
  # s.license        = package['license']
  # s.author         = package['author']
  s.homepage       = package['homepage']
  s.license      = "MIT"
  # s.license      = { :type => "MIT", :file => "FILE_LICENSE" }
  s.author             = { "author" => "author@domain.cn" }
  s.platform     = :ios, "11.0"
  s.source       = { :git => "https://github.com/author/RNOnfidoSdk.git", :tag => "master" }
  # s.source_files  = "RNOnfidoSdk/**/*.{h,m}"
  s.requires_arc = true
  s.preserve_paths = 'LICENSE', 'README.md', 'package.json', 'index.js'
  s.source_files   = './*.{h,m}'

  s.dependency "React"
  s.dependency 'Onfido'
  #s.dependency "others"

end

  